summaryrefslogtreecommitdiff
path: root/net-misc/modemmanager
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/modemmanager')
-rw-r--r--net-misc/modemmanager/Manifest2
-rw-r--r--net-misc/modemmanager/modemmanager-1.8.2-r1337.ebuild (renamed from net-misc/modemmanager/modemmanager-1.6.12-r1.ebuild)32
2 files changed, 21 insertions, 13 deletions
diff --git a/net-misc/modemmanager/Manifest b/net-misc/modemmanager/Manifest
index f2b09ab3..98348490 100644
--- a/net-misc/modemmanager/Manifest
+++ b/net-misc/modemmanager/Manifest
@@ -1 +1 @@
-DIST ModemManager-1.6.12.tar.xz 1402364 BLAKE2B 11335c495cc428936c9b0dd319449a7bf4c58a95ccd53b7a5bb276d78030272a7f29e5f0fa96a96613c5e0cb6a62239d864a23de6260fb55f6ecab09a18e6454 SHA512 2ac72fb2d36530204528cc0cd4815d0b93a1a8c8539ac345101e5e15bbfffd3eda888bbdc54298d3547b9aeacb94c75be5c600e993099671da2f9f27e8ee93cd
+DIST ModemManager-1.8.2.tar.xz 2088248 BLAKE2B e53ec3dacac2b1d57191de0eba130ea575a40047e5faa1c813543f1ca17164d71a18478ec6c0392adabea94d2455ee510ceceefc16798fec6f26ec834ebbf84c SHA512 fb00ce6f3dc9795468e81ba295ad82e9586add2d7118661ea5f287a99afca97dc3aea64488393792bb1198e7abf2605bbc5ded2517980d67f8819931effdeea5
diff --git a/net-misc/modemmanager/modemmanager-1.6.12-r1.ebuild b/net-misc/modemmanager/modemmanager-1.8.2-r1337.ebuild
index 15074afc..66015faa 100644
--- a/net-misc/modemmanager/modemmanager-1.6.12-r1.ebuild
+++ b/net-misc/modemmanager/modemmanager-1.8.2-r1337.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -8,32 +8,32 @@ VALA_USE_DEPEND="vapigen"
inherit gnome2 user readme.gentoo-r1 systemd udev vala
DESCRIPTION="Modem and mobile broadband management libraries"
-HOMEPAGE="https://cgit.freedesktop.org/ModemManager/ModemManager/"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/ModemManager/"
SRC_URI="https://www.freedesktop.org/software/ModemManager/ModemManager-${PV}.tar.xz"
LICENSE="GPL-2+"
SLOT="0/1" # subslot = dbus interface version, i.e. N in org.freedesktop.ModemManager${N}
KEYWORDS="~alpha amd64 arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86"
-IUSE="+introspection mbim policykit +qmi systemd vala"
+IUSE="+introspection mbim policykit +qmi systemd +udev vala"
REQUIRED_USE="
vala? ( introspection )
"
RDEPEND="
>=dev-libs/glib-2.36.0:2
- >=virtual/libgudev-230:=
+ udev? ( >=virtual/libgudev-230:= )
introspection? ( >=dev-libs/gobject-introspection-0.9.6:= )
- mbim? ( >=net-libs/libmbim-1.14.0 )
+ mbim? ( >=net-libs/libmbim-1.16.0 )
policykit? ( >=sys-auth/polkit-0.106[introspection] )
- qmi? ( >=net-libs/libqmi-1.16.0:= )
+ qmi? ( >=net-libs/libqmi-1.20.0:= )
systemd? ( >=sys-apps/systemd-209 )
"
DEPEND="${RDEPEND}
dev-util/gdbus-codegen
+ dev-util/glib-utils
>=dev-util/gtk-doc-am-1
- >=dev-util/intltool-0.40
- >=sys-devel/gettext-0.19.3
+ >=sys-devel/gettext-0.19.8
virtual/pkgconfig
vala? ( $(vala_depend) )
"
@@ -41,8 +41,9 @@ DEPEND="${RDEPEND}
S="${WORKDIR}/ModemManager-${PV}"
src_prepare() {
- DOC_CONTENTS="If your USB modem shows up as a Flash drive when you plug it in,
- You should install sys-apps/usb_modeswitch which will automatically
+ DOC_CONTENTS="
+ If your USB modem shows up only as a storage device when you plug it in,
+ then you should install sys-apps/usb_modeswitch, which will automatically
switch it over to USB modem mode whenever you plug it in.\n"
if use policykit; then
@@ -57,13 +58,15 @@ src_prepare() {
src_configure() {
gnome2_src_configure \
--disable-more-warnings \
- --with-udev-base-dir="$(get_udevdir)" \
--disable-static \
--with-dist-version=${PVR} \
+ --with-udev-base-dir="$(get_udevdir)" \
+ $(use_with udev) \
$(use_enable introspection) \
$(use_with mbim) \
$(use_with policykit polkit) \
- $(usex systemd --with-suspend-resume=systemd --with-suspend-resume=no) \
+ $(use_with systemd systemd-suspend-resume) \
+ $(use_with systemd systemd-journal) \
$(use_with qmi) \
$(use_enable vala)
}
@@ -107,6 +110,11 @@ pkg_postinst() {
esac
fi
+ if ! use udev; then
+ ewarn "You have built ModemManager without udev support. You may have to teach it"
+ ewarn "about your modem port manually."
+ fi
+
systemd_reenable ModemManager.service
readme.gentoo_print_elog